[youtubei.js](../../../README.md) / [APIResponseTypes](../README.md) / SubscribeRequest

# Type Alias: SubscribeRequest

> **SubscribeRequest**: `object`

## Type declaration

### botguardResponse?

> `optional` **botguardResponse**: `string`

### channelIds?

> `optional` **channelIds**: `string`[]

### clientFeature?

> `optional` **clientFeature**: `string`

### params?

> `optional` **params**: `string`

### siloName?

> `optional` **siloName**: `string`

## Defined in

[src/parser/types/CommandEndpoints.ts:124](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/types/CommandEndpoints.ts#L124)
